netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
nfsquota.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <sys/param.h>`
`#include <sys/time.h>`
`#include <netdb.h>`
`#include <netinet/in.h>`
`#include <rpc/rpc.h>`
`#include <rpc/pmap_prot.h>`
`#include <rpcsvc/rquota.h>`
`#include <atalk/afp.h>`
`#include <atalk/logger.h>`
`#include "unix.h"`

## Macros
#define | PORTMAP 1
#define | GQR_STATUS status
#define | GQR_RQUOTA getquota_rslt_u.gqr_rquota
#define | NFS_BSIZE gq_rslt.GQR_RQUOTA.rq_bsize / bsize

## Functions
static int | callaurpc (struct vol *vol, u_long prognum, u_long versnum, u_long procnum, xdrproc_t inproc, char *in, xdrproc_t outproc, char *out)
int | getnfsquota (struct vol *vol, const int uid, const uint32_t bsize, struct dqblk *dqp)

## Macro Definition Documentation

## ◆ GQR_RQUOTA

#define GQR_RQUOTA getquota_rslt_u.gqr_rquota

## ◆ GQR_STATUS

#define GQR_STATUS status

## ◆ NFS_BSIZE

#define NFS_BSIZE gq_rslt.GQR_RQUOTA.rq_bsize / bsize

## ◆ PORTMAP

#define PORTMAP 1

## Function Documentation

## ◆ callaurpc()

int callaurpc | ( | struct vol * | vol,
|  | u_long | prognum,
|  | u_long | versnum,
|  | u_long | procnum,
|  | xdrproc_t | inproc,
|  | char * | in,
|  | xdrproc_t | outproc,
|  | char * | out )
| static

## ◆ getnfsquota()

int getnfsquota | ( | struct vol * | vol,
|  | const int | uid,
|  | const uint32_t | bsize,
|  | struct dqblk * | dqp )